Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.imp.thread
Class Java14BackportExecutorFactory

    java.lang.Object
      com.atomikos.icatch.imp.thread.Java14BackportExecutorFactory

    public class Java14BackportExecutorFactory

extends Object

This is the backport thread pool creator.

Author:
  Lars J. Nilsson

Nested Class Summary
`protected static class` | `Java15ExecutorFactory.FactoryProxy`

Field Summary
`static String` | `IFACTORY_CLASS`
`static String` | `IQUEUE_CLASS`
`static String` | `MAIN_CLASS`
`static String` | `QUEUE_CLASS`
`static String` | `TIMEUNIT_CLASS`

Constructor Summary
`protected` | `Java14BackportExecutorFactory()`

Method Summary
`com.atomikos.icatch.imp.thread.InternalSystemExecutor` | `createExecutor()`
`protected Constructor` | `extractConstructor(Class poolClass)` Given the main pool class, extract the constructor to use.
`protected Method` | `extractShutdownMethod(Class poolClass)` Extract the "shutdown" method from the main pool class.
`protected Method` | `extractSubmitMethod(Class poolClass)` Extract the "submit" method from the main pool class.
`protected Class` | `loadClass(String name)` Load a given class, and make sure the "preferContext" member is check to use the correct order of class loading.
`protected Class` | `loadMainPoolClass()` Load the main pool class.
`protected Object[]` | `toConstructionParameters()` Given the arguments, make an object array which corresponds to the underlying constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAIN_CLASS

    public static final String MAIN_CLASS

See Also:
  Constant Field Values

### IQUEUE_CLASS

    public static final String IQUEUE_CLASS

See Also:
  Constant Field Values

### QUEUE_CLASS

    public static final String QUEUE_CLASS

See Also:
  Constant Field Values

### TIMEUNIT_CLASS

    public static final String TIMEUNIT_CLASS

See Also:
  Constant Field Values

### IFACTORY_CLASS

    public static final String IFACTORY_CLASS

See Also:
  Constant Field Values

Constructor Detail

### Java14BackportExecutorFactory

    protected Java14BackportExecutorFactory()
                                     throws Exception

Throws:
  `Exception`

Method Detail

### extractConstructor

    protected Constructor extractConstructor(Class poolClass)
                                      throws Exception

  Given the main pool class, extract the constructor to use.

  Throws:
    `Exception`

### toConstructionParameters

    protected Object[] toConstructionParameters()
                                         throws Exception

  Given the arguments, make an object array which corresponds to the underlying constructor.

  Throws:
    `Exception`

### loadMainPoolClass

    protected Class loadMainPoolClass()
                               throws Exception

  Load the main pool class.

  Throws:
    `Exception`

### createExecutor

    public com.atomikos.icatch.imp.thread.InternalSystemExecutor createExecutor()
                                                                         throws Exception

  Returns:
    A new executor, which may, or may not, be pooled
  Throws:
    `Exception`

### loadClass

    protected Class loadClass(String name)
                       throws Exception

  Load a given class, and make sure the "preferContext" member is check to use the correct order of class loading.

  Throws:
    `Exception`

### extractSubmitMethod

    protected Method extractSubmitMethod(Class poolClass)
                                  throws Exception

  Extract the "submit" method from the main pool class.

  Throws:
    `Exception`

### extractShutdownMethod

    protected Method extractShutdownMethod(Class poolClass)
                                    throws Exception

  Extract the "shutdown" method from the main pool class.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.